ndiff
1

# ndiff

Utility to compare the results of Nmap scans

          ndiff

            options

            a.xml

            b.xml

## Description

Ndiff is a tool to aid in the comparison of Nmap scans. It takes two Nmap XML output files and prints the differences between them: hosts coming up and down, ports becoming open or closed, etc.

Ndiff compares two scans at a time. The first scan is called the A scan and the second scan is called the B scan.

## Options Summary

`-h`
`--help`

  Show a help message and exit.

`-v`
`--verbose`

  Include all hosts and ports in the output, not only those that have changed.

`--text`

  Write output in human-readable text format.

`--xml`

  Write output in machine-readable XML format. The document structure is defined in the file `ndiff.dtd` included in the distribution.

Any other arguments are taken to be the names of Nmap XML output files. There must be exactly two. The first one listed is the A scan and the second is the B scan.

## Bugs

Report bugs to the nmap-dev mailing list at nmap-dev@insecure.org.

## History

Ndiff started as a project by Michael Pattrick during the 2008 Google Summer of Code. Michael designed the program and led the discussion of its output formats. He wrote versions of the program in Perl and C++, but the summer ended shortly after it was decided to rewrite the program in Python for the sake of Windows (and Zenmap) compatibility. This Python version was written by David Fifield.

## Authors

David Fifield david@bamsoftware.com

Michael Pattrick mpattrick@rhinovirus.org

## Web site